"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ioredis_1 = __importDefault(require("ioredis"));
const logger_1 = __importDefault(require("../logger"));
class RedisConnector {
    static async createConnection(config) {
        try {
            const redis = new ioredis_1.default(config.port, config.host);
            await new Promise((resolve, reject) => {
                redis.on('error', (e) => {
                    redis.disconnect();
                    reject(e);
                });
                redis.on('connect', () => resolve());
            });
            return redis;
        }
        catch (error) {
            logger_1.default.error(error, null, 'Redis', { config });
            return undefined;
        }
    }
}
exports.default = RedisConnector;
//# sourceMappingURL=redis-connector.js.map