"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../logger"));
const app_1 = __importDefault(require("./app"));
const bootstrap = async (isWatchMode = false, initContextStorage) => {
    let close;
    const context = 'Bootstrap';
    try {
        logger_1.default.log('Start bootstrapping the application', context);
        const app = new app_1.default();
        close = await app.buildServer(initContextStorage);
    }
    catch (error) {
        logger_1.default.error(error, error.stack, context);
        if (!isWatchMode) {
            process.exit(0);
        }
    }
    return close;
};
exports.default = bootstrap;
//# sourceMappingURL=bootstrap.js.map