export interface IConfig {
    serviceId: number;
    serviceConfiguration?: IServiceConfiguration;
    localConfiguration: {
        database: IDbConfig;
        redis?: IRedisConfig;
        application: IApplicationConfig;
    };
    rest?: IRestConfig;
    security?: ISecurity;
}
interface IApplicationConfig {
    port: number;
}
interface IServiceConfiguration {
    skipDatabase?: boolean;
    enableRedis?: boolean;
}
export interface IRestConfig {
    routes?: {
        path: string;
        requestMiddlewares?: string[];
        responseMiddlewares?: string[];
        handler: string;
        method: string;
    }[];
}
export interface IDbConfig {
    host: string;
    port: number;
    username: string;
    password: string;
    database: string;
    ssl?: {
        rejectUnauthorized: boolean;
    };
    synchronize?: boolean;
}
export interface IRedisConfig {
    host: string;
    port: number;
}
export interface ISecurity {
    graphql?: {
        maxDepth?: number;
        maxCost?: number;
        userCostPerHour?: number;
    };
}
export {};
