"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const ncp_1 = require("ncp");
const rimraf_1 = __importDefault(require("rimraf"));
const util_1 = require("util");
class PromisifiedFs {
    static async createFolderIfNotExist(path) {
        if (!await PromisifiedFs.exists(path)) {
            await PromisifiedFs.mkdir(path);
        }
    }
}
exports.default = PromisifiedFs;
PromisifiedFs.unlink = util_1.promisify(fs_1.unlink);
PromisifiedFs.writeFile = util_1.promisify(fs_1.writeFile);
PromisifiedFs.readdir = util_1.promisify(fs_1.readdir);
PromisifiedFs.readFile = util_1.promisify(fs_1.readFile);
PromisifiedFs.access = util_1.promisify(fs_1.access);
PromisifiedFs.rimraf = util_1.promisify(rimraf_1.default);
PromisifiedFs.ncp = util_1.promisify(ncp_1.ncp);
PromisifiedFs.exists = util_1.promisify(fs_1.exists);
PromisifiedFs.mkdir = util_1.promisify(fs_1.mkdir);
PromisifiedFs.stat = util_1.promisify(fs_1.stat);
PromisifiedFs.append = util_1.promisify(fs_1.appendFile);
//# sourceMappingURL=promisified-fs.tool.js.map